#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_file.interfaces import IAudio
from pyams_form.interfaces.form import IWidgetsPrefixViewletsManager
from pyams_utils.interfaces import VIEW_PERMISSION
from pyams_zmi.layer import IAdminLayer

# import packages
from pyams_pagelet.pagelet import pagelet_config
from pyams_skin.layer import IPyAMSLayer
from pyams_template.template import template_config
from pyams_viewlet.viewlet import viewlet_config, Viewlet
from pyams_zmi.form import AdminDialogDisplayForm
from z3c.form import field
from zope.interface import Interface

from pyams_media import _


#
# Video preview
#

@pagelet_config(name='preview.html', context=IAudio, layer=IPyAMSLayer, permission=VIEW_PERMISSION)
class AudioPreview(AdminDialogDisplayForm):
    """Audio preview"""

    label = _("Audio preview")
    label_css_class = 'fa fa-fw fa-music'

    fields = field.Fields(Interface)


@viewlet_config(name='audio-preview-prefix', context=IAudio, layer=IAdminLayer, view=AudioPreview,
                manager=IWidgetsPrefixViewletsManager)
@template_config(template='templates/audio-preview.pt')
class AudioPreviewViewletsPrefix(Viewlet):
    """Audio preview viewlets prefix"""
